import okayBrowse from './okay-browse/index'
import okayUpload from './okay-upload/index'
const components = [okayBrowse, okayUpload]

const install = function (Vue, opts = {}) {
  components.forEach((component) => {
    Vue.component(component.name, component)
  })
}
/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  okayBrowse,
  okayUpload
}
